%global vmoddir %{_libdir}/varnish/vmods
%global commit0 9cd9e7fd18d502b888283438eca7d5ba70c391a8
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)

Name:           vmod-querystring
Version:        2.0.1
Release:        2%{?dist}
Group:          System Environment/Libraries
Summary:        QueryString module for Varnish Cache
URL:            https://github.com/Dridi/libvmod-querystring
License:        GPLv3+

Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig
BuildRequires:  varnish-devel >= %varnishver
BuildRequires:  varnish >= %varnishver
BuildRequires:  python(abi) >= 3.4

%if 0%{?rhel} == 6
BuildRequires:  python34
%endif

Requires: varnish = %varnishver

# Made tarball like this:
# git clone https://github.com/Dridi/libvmod-querystring.git
# cd libvmod-querystring
# git checkout v2.0.1
# ./bootstrap && ./configure && make 
# rst2man src/vmod_querystring.man.rst > src/vmod_querystring.3
# make check && make dist

%description
The purpose of this module is to give you a fine-grained control over a URL's
query-string in Varnish Cache. It's possible to remove the query-string, clean
it, sort its parameters or filter it to only keep a subset of them.

This can greatly improve your hit ratio and efficiency with Varnish, because
by default two URLs with the same path but different query-strings are also
different. This is what the RFCs mandate but probably not what you usually
want for your web site or application.

A query-string is just a character string starting after a question mark in a
URL. But in a web context, it is usually a structured key/values store encoded
with the `application/x-www-form-urlencoded' media type. This module deals
with this kind of query-strings.


%prep
%setup -q


%build
%configure --disable-silent-rules --with-rst2man=:
sed -i 's/-Werror//g;' src/Makefile
%make_build CFLAGS="%{optflags}"

%install
%make_install
rm -f %{buildroot}%{vmoddir}/*.la


%check
make %{?_smp_mflags} check


%files
%doc CONTRIBUTORS CHANGELOG README.rst 
%license LICENSE
%{_mandir}/man?/*
%{_docdir}/*
%{vmoddir}/*.so


%changelog
* Tue Nov 26 2019 Ingvar Hagelund <ingvar@redpill-linpro.com> - 2.0.1-2
- Built 2.0.1 for varnish-6.0.5
- Added misc documentation files

* Mon Oct 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.4-0.1.20171026git29199e5
- Built a 1.0.3+ checkout from git against varnish-5.2.0

* Fri Dec 09 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.2-1
- Drop build requirement on python-docutils

* Fri Sep 16 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0-1
- Bump version
- Change License to GPLv3+
- Automatic package information
- Expect a correct source archive
- Disable silent rules
- Overall simplification

* Tue Mar 29 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.5-1
- Bump version

* Thu Feb 11 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.4-1
- Bump version
- Drop Varnish 3 source code requirement

* Tue Aug 04 2015 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.3-1
- Bump version

* Mon Apr 15 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2-1
- Initial version.
